EDBROWSE-PLUGIN-TELNET(1)

NAME
edbrowse-plugin-telnet - open a telnet or telnets URL for edbrowse

SYNOPSIS
edbrowse-plugin-telnet url

DESCRIPTION
edbrowse-plugin-telnet is a helper invoked by edbrowse(1) through the plugin config fragments installed in /usr/share/edbrowse/plugins. It is not normally run by hand.

The script splits url into scheme and host using trurl(1) and then execs telnet(1) against that host, letting /etc/services resolve the port from the scheme name. For a telnets URL it additionally passes -z certrequired,secure,ssl so that TLS is required and the server certificate is verified. Any other scheme is rejected.

EXIT STATUS
Non-zero if no URL was given, if the scheme is neither telnet nor telnets, or if telnet itself fails.

SEE ALSO
edbrowse(1), telnet(1), trurl(1)

AUTHOR
This manual page was written for the Debian distribution.